// OutlineDemoView.h : interface of the COutlineDemoView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_OUTLINEDEMOVIEW_H__B59177EF_3F33_4CCF_9189_594EAA185A59__INCLUDED_)
#define AFX_OUTLINEDEMOVIEW_H__B59177EF_3F33_4CCF_9189_594EAA185A59__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class COutlineDemoView : public CBCGPEditView
{
protected: // create from serialization only
	COutlineDemoView();
	DECLARE_DYNCREATE(COutlineDemoView)

// Attributes
public:
	COutlineDemoDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COutlineDemoView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~COutlineDemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CImageList			m_imgList;
	CFont				m_Font;

// Generated message map functions
protected:
	//{{AFX_MSG(COutlineDemoView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnEditHideselection();
	afx_msg void OnEditStophidingcurrent();
	afx_msg void OnEditToggleoutlining();
	afx_msg void OnEditTogglealloutlining();
	afx_msg void OnEditCollapsetodefinitions();
	afx_msg void OnEditStopoutlining();
	afx_msg void OnUpdateEditHideselection(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditStophidingcurrent(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditToggleoutlining(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditTogglealloutlining(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditCollapsetodefinitions(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditStopoutlining(CCmdUI* pCmdUI);
	afx_msg void OnEditAutooutlining();
	afx_msg void OnEditEnableoutlining();
	afx_msg void OnEditLinenumbers();
	afx_msg void OnUpdateEditAutooutlining(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditEnableoutlining(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEditLinenumbers(CCmdUI* pCmdUI);
	//}}AFX_MSG
	afx_msg void OnUpdateCursorPos(CCmdUI *pCmdUI);
	DECLARE_MESSAGE_MAP()


private:
	void ResetDefaultFont();
	BOOL RestoreDefaultData();
};

#ifndef _DEBUG  // debug version in OutlineDemoView.cpp
inline COutlineDemoDoc* COutlineDemoView::GetDocument()
   { return (COutlineDemoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OUTLINEDEMOVIEW_H__B59177EF_3F33_4CCF_9189_594EAA185A59__INCLUDED_)
